## mauikit-archiver 4.0.2+p24.04+vstable+git20250903.0105

=== debian/changelog ===
mauikit-archiver (4.0.2+p24.04+vstable+git20250903.0105-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 03 Sep 2025 01:05:11 +0000

mauikit-archiver (4.0.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 29 May 2025 16:23:10 +0000

mauikit-archiver (4.0.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 16:23:10 +0000

mauikit-archiver (4.0.0-0neon) noble; urgency=medium

  * Initial release

 -- Jonathan Riddell <jr@jriddell.org>  Mon, 10 June 2024 19:57:31 +0000
