=== debian/changelog ===
mauikit-archiver (4.0.2+p24.04+vstable+git20250904.0938-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Sep 2025 09:38:52 +0000
