=== debian/control ===
Source: mauikit-archiver
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-karchive-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-ki18n-dev,
               libmauikitfilebrowsing-dev,
               mauikit-dev,
               mauiman-dev,
               ninja-build,
               qt6-5compat-dev,
               qt6-base-dev,
               qt6-declarative-dev
Standards-Version: 4.6.2
Homepage: https://mauikit.org/
Vcs-Git: https://invent.kde.org/neon/neon-packaging/mauikit-archiver.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/mauikit-archiver
Maintainer: Neon CI <neon@kde.org>

Package: qml6-module-org-mauikit-archiver
Architecture: any
Depends: libmauikit,
         libmauikitarchiver4,
         qml6-module-org-kde-kirigami2,
         qml6-module-org-maui-mauikit,
         qml6-module-qt-labs-qmlmodels,
         qml6-module-qt-labs-settings,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-shapes,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Archiver support components for Maui applications
 .
 This package contains the mauikit archiver component support qml module.

Package: libmauikitarchiver4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Archiver support components for Maui applications
 .
 This package contains the mauikit archiver component support library.

Package: libmauikitarchiver-dev
Architecture: any
Depends: libmauikitarchiver4 (= ${binary:Version}),
         qml6-module-org-mauikit-archiver,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Archiver support components for Maui applications
 .
 This package contains mauikit archiver component support development files.
