## mauikit-archiver 4.0.2+p24.04+vstable+git20251231.0230

=== debian/changelog ===
mauikit-archiver (4.0.2+p24.04+vstable+git20251231.0230-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 02:30:23 +0000
