## mauikit-archiver 4.0.2+p24.04+vstable+git20260130.1004

=== debian/changelog ===
mauikit-archiver (4.0.2+p24.04+vstable+git20260130.1004-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 10:04:23 +0000
