## mauikit-archiver 4.0.2+p24.04+vstable+git20260205.0608

=== debian/changelog ===
mauikit-archiver (4.0.2+p24.04+vstable+git20260205.0608-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 06:08:16 +0000
